Templates
Update Template
Update a template's name, description, or workflow settings.
Update a template's name, description, or workflow settings.
Authorization
bearerAuth AuthorizationBearer <token>
API key as Bearer token. Format: signsecure_xxxxxxxx...
In: header
Path Parameters
templateId*string
The template ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://api.signsecure.com/api/v1/templates/string" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "string",
"name": "string",
"description": "string",
"recipientsCount": 0,
"updatedAt": "2019-08-24T14:15:22Z"
}{
"code": "VALIDATION_ERROR",
"message": "name: Expected string, received number",
"requestId": "req_abc123",
"timestamp": "2026-03-11T10:30:00.000Z",
"details": {
"validation": {
"fieldErrors": {
"name": [
"Expected string, received number"
]
},
"formErrors": [],
"issues": [
{
"path": "name",
"message": "Expected string, received number",
"code": "invalid_type"
}
]
}
}
}{
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key",
"requestId": "req_abc123",
"timestamp": "2026-03-11T10:30:00.000Z"
}{
"code": "FORBIDDEN",
"message": "API key is disabled",
"requestId": "req_abc123",
"timestamp": "2026-03-11T10:30:00.000Z"
}{
"code": "NOT_FOUND",
"message": "Template not found or you don't have permission",
"requestId": "req_abc123",
"timestamp": "2026-03-11T10:30:00.000Z"
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "An internal error occurred",
"requestId": "req_abc123",
"timestamp": "2026-03-11T10:30:00.000Z"
}